SDL_PenID(3type)

NAME
SDL_PenID - SDL pen instance IDs.

SYNOPSIS
#include <SDL3/SDL_pen.h>

typedef Uint32 SDL_PenID;

DESCRIPTION
Zero is used to signify an invalid/null device.

These show up in pen events when SDL sees input from them. They remain consistent as long as SDL can recognize a tool to be the same pen; but if a pen physically leaves the area and returns, it might get a new ID.

AVAILABILITY
This datatype is available since SDL 3.2.0.